Skip to main content
`Ctrl`+`K`

# PEPSTOARGetDetectZeros

Gets the flag that enforces zero detection in spectrum slicing.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARGetDetectZeros(PEP pep,PetscBool *detect)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- detect - whether zeros detection is enforced during factorizations

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSTOARSetDetectZeros()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARGetDetectZeros_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages